<?php

/* ======================================================================= */
/* == Widgets ============================================================ */
/* ======================================================================= */

/* 

Author - WPTitans
Description - Contains all the widgets used by the hades framework. Use index to search.

== Index =====================
------------------------------

1.  Custom Box
2.  Twitter 
3.  Facebook Like
4.  Flickr 
5.  Super Post
6.  Ads 125 x 125px
7.  Ads 300px
8.  Mini Slideshow
9. Contact Form
10. Video 

==============================

*/

if(!defined('HPATH'))
die(' The File cannot be accessed directly ');


// == Custom Box ============================

class CustomBoxWidget extends WP_Widget {
	
	function CustomBoxWidget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'CustomBox', 'description' => __(' Create a custom text box with read more link and image.','h-framework') );

		/* Widget control settings. */
		$control_ops = array(  );
		 parent::WP_Widget(false,__("CustomBox",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			$instance['link']= $new_instance['link']; 
			$instance['label']= $new_instance['label']; 
			$instance['description']= $new_instance['description'];
			$instance['title']= strip_tags($new_instance['title']);
			$instance['intro_image_link']= strip_tags($new_instance['intro_image_link']);
			return $instance;
	}
	function form($instance) {
		 
		$link = esc_attr($instance['link']);
		$label = esc_attr($instance['label']);
		$description = $instance['description'];
		$title = esc_attr($instance['title']); 
		$intro_image_link = esc_attr($instance['intro_image_link']); 
		
		if(trim($label)=="") $label = 'more &rarr;';
		?>
    
       
       	 <p class="hades-custom ">
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" type="text" />
		</p>
         <p class="hades-custom ">
			<label for="<?php echo $this->get_field_id( 'intro_image_link' ); ?>"><?php _e('Intro Image Link: ( if empty image not will appear )', 'h-framework') ?></label>
            <p class="clearfix">
			<input class="widefat widget_text" id="<?php echo $this->get_field_id( 'intro_image_link' ); ?>" name="<?php echo $this->get_field_name( 'intro_image_link' ); ?>" value="<?php echo $instance['intro_image_link']; ?>" type="text" /> <a href="#" class="button custom_upload_image_button"> Upload </a>
            </p>
		</p>

		<!-- Embed Code: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'description' ); ?>"><?php _e('Text', 'h-framework') ?></label>
			<textarea  class="widefat" style="height:200px;" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>"><?php echo  $instance['description']; ?></textarea>
		</p>
		
		 <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'link' ); ?>"><?php _e('Link:( if empty link will not appear )', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'link' ); ?>" name="<?php echo $this->get_field_name( 'link' ); ?>" value="<?php echo $instance['link']; ?>" type="text" />
		</p>
        
        <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'label' ); ?>"><?php _e('Label for button', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'label' ); ?>" name="<?php echo $this->get_field_name( 'label' ); ?>" value="<?php echo $instance['label']; ?>" type="text" />
		</p>
		
<?php
		
		 }
	function widget($args, $instance) { 
	
	extract($args); 
	
	$link = esc_attr($instance['link']);
	$label = esc_attr($instance['label']);
	$description = $instance['description'];
	$title = esc_attr($instance['title']); 
	$intro_image_link = esc_attr($instance['intro_image_link']); 
	
	echo $before_widget;
	
	if($title!="")
	echo "<h3 class='heading custom-font custom-box-title'> ".$instance['title'].'</h3>';
		
	if(trim($intro_image_link)=="")
	$img = '';
	else
	$img = "<img src='{$intro_image_link}' alt='custom-box-image' />";
		
	echo " <div class='clearfix custom-box-content'> $img  ".wpautop($description)." </div>  ";
		
	if(trim($link)!="")
	echo "<a href='{$link}' class='more custom-box-more'> $label  <span class='arrow-pink'></span> </a>";
		
	echo  $after_widget;
		
		}
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("CustomBoxWidget");'));

// == Twitter ================================================= 

class Twitter_Widget extends WP_Widget {
	private $userlink;
    function __construct() {
        $params = array(
	    'description' => 'Display and cache recent tweets to your readers.',
	    'name' => 'Display Your Tweets'
        );
        
        // id, name, params
        parent::__construct('Twitter_Widget', '', $params);
    }
    
    public function form($instance) {
        extract($instance);
        ?>
        
        <p>
	    <label for="<?php echo $this->get_field_id('title');?>">Title: </label>
	    <input type="text"
		class="widefat"
		id="<?php echo $this->get_field_id('title'); ?>"
		name="<?php echo $this->get_field_name('title'); ?>"
		value="<?php if ( isset($title) ) echo esc_attr($title); ?>" />
        </p>
        
        <p>
	    <label for="<?php echo $this->get_field_id('username'); ?>">Twitter Username:</label>
	    
	    <input class="widefat"
		type="text"
		id="<?php echo $this->get_field_id('username'); ?>"
		name="<?php echo $this->get_field_name('username'); ?>"
		value="<?php if ( isset($username) ) echo esc_attr($username); ?>" />
        </p>
        
        <p>
	    <label for="<?php echo $this->get_field_id('tweet_count'); ?>">
		<?php _e('Number of Tweets to Retrieve:','h-framework'); ?>
	    </label>
	     
	    <input
		type="number"
		class="widefat"
		style="width: 40px;"
		id="<?php echo $this->get_field_id('tweet_count');?>"
		name="<?php echo $this->get_field_name('tweet_count');?>"
		min="1"
		max="10"
		value="<?php echo !empty($tweet_count) ? $tweet_count : 5; ?>" />
        </p>
        <?php
    }
    
    // What the visitor sees...
    public function widget($args, $instance) {
	extract($instance);
        extract( $args );
        
        if ( empty($title) ) $title = 'Recent Tweets';
        
        $data = $this->twitter($tweet_count, $username);
        if ( false !== $data && isset($data->tweets) ) {
            echo $before_widget;
		echo $before_title;
		    echo $title;
		echo $after_title;

		echo '<ul class="latest-tweets"><li>' . implode('</li><li>', $data->tweets) . '</li> </ul>';
            echo $after_widget;
        }
    }
    
    private function twitter($tweet_count, $username)
    {
        if ( empty($username) ) return;
        
        $tweets = get_transient('recent_tweets_widget');
        if ( !$tweets ||
	    $tweets->username !== $username ||
	    $tweets->tweet_count !== $tweet_count )
	{
	    return $this->fetch_tweets($tweet_count, $username);
	}
        return $tweets;
    }
    
    private function fetch_tweets($tweet_count, $username)
    {
	$tweets = wp_remote_get("http://twitter.com/statuses/user_timeline/$username.json");
	
	$tweets = @json_decode($tweets['body']);

	// An error retrieving from the Twitter API?
	if ( isset($tweets->error) ) return false;

	$data = new StdClass();
	$data->username = $username;
	$data->tweet_count = $tweet_count;

	foreach($tweets as $tweet) {
	    if ( $tweet_count-- === 0 ) break;
	    $data->tweets[] = $this->filter_tweet( $tweet->text );
	}

	set_transient('recent_tweets_widget', $data, 60 * 5); // five minutes
	return $data;
    }

    private function filter_tweet($tweet)
    {
        // Username links
        $tweet = preg_replace('/(http[^\s]+)/im', '<a href="$1">$1</a>', $tweet);
        $tweet = preg_replace('/@([^\s]+)/i', '<a href="http://twitter.com/$1">@$1</a>', $tweet);
        // URL links
        return $tweet;
    }
    
}

// Here we gooooooo! (Mario voice)
add_action('widgets_init', 'register_Twitter_Widget');
function register_Twitter_Widget()
{
    register_widget('Twitter_Widget');
}

// == Facebook Like ==============================

class FBLike extends WP_Widget {
	
	function FBLike() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'FBLike', 'description' => __('Add facebook Like box to your sidebar.','h-framework') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 200);
		 parent::WP_Widget(false,__("Facebook Like Box",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			
			$instance['fb_link']= strip_tags($new_instance['fb_link']); 
			$instance['width']= strip_tags($new_instance['width']);
			$instance['title']= strip_tags($new_instance['title']);
			$instance['show_friends']= $new_instance['show_friends'];
			$instance['fb_header']= $new_instance['fb_header'];
			$instance['fb_stream']= $new_instance['fb_stream'];
			
			 
			return $instance;
	}
	function form($instance) {
		 
		$fb = esc_attr($instance['fb_link']);
		$title = esc_attr($instance['title']);
		$width = $instance['width'];
		$friends = $instance['show_friends'];
		$header = $instance['fb_header'];
		$stream = $instance['fb_stream'];
		
		if($fb==""&&get_option("ami_fb_id"))
		$fb = get_option("ami_fb_id");
		
		
		 ?>
        
        
		<p class="hades-custom"> 
        <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		
        <p> 
        <label for="<?php echo $this->get_field_id('fb_link'); ?>"> <?php _e('Add facebook page link','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('fb_link'); ?>" name="<?php echo $this->get_field_name('fb_link'); ?>" type="text" value="<?php echo $fb; ?>" />
		</p>
        
         <p> 
        <label for="<?php echo $this->get_field_id('width'); ?>"> <?php _e('Width','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('width'); ?>" name="<?php echo $this->get_field_name('width'); ?>" type="text" value="<?php echo $width; ?>" />
		</p>
        
         <p> 
        <label for="<?php echo $this->get_field_id('show_friends'); ?>"> <?php _e('Show friends','h-framework'); ?> </label>
		<input id="<?php echo $this->get_field_id('show_friends'); ?>" name="<?php echo $this->get_field_name('show_friends'); ?>" type="checkbox" value="true" <?php if($friends) echo "checked='checked'"; ?> />
		</p>
        
         <p> 
        <label for="<?php echo $this->get_field_id('fb_header'); ?>"> <?php _e('Show Head','h-framework'); ?> </label>
		<input id="<?php echo $this->get_field_id('fb_header'); ?>" name="<?php echo $this->get_field_name('fb_header'); ?>" type="checkbox" value="true" <?php if($header) echo "checked='checked'"; ?> />
		</p>
        
         <p> 
        <label for="<?php echo $this->get_field_id('fb_stream'); ?>"> <?php _e('Show Stream','h-framework'); ?> </label>
		<input id="<?php echo $this->get_field_id('fb_stream'); ?>" name="<?php echo $this->get_field_name('fb_stream'); ?>" type="checkbox" value="true" <?php if($stream) echo "checked='checked'"; ?> />
		</p>
        
        
<?php
		
		 }
	function widget($args, $instance) { 
	
	extract($args); 
	
		$fb = esc_attr($instance['fb_link']);
		$title = esc_attr($instance['title']);
		$width = $instance['width'];
		$friends = $instance['show_friends'];
		$header= $instance['fb_header'];
		$stream= $instance['fb_stream'];
	
		echo $before_widget;
		if($title!="")
		echo $before_title." ".$instance['title'].$after_title;
		?>
		
        <script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script>
        <fb:like-box href="<?php echo $fb; ?>" width="<?php echo $width; ?>" show_faces="<?php if($friends) echo $friends; else echo 'false'; ?>" stream="<?php if($stream) echo $stream; else echo 'false'; ?>" header="<?php if($header) echo $header; else echo 'false'; ?>"  ></fb:like-box>
        
		<?php
			echo $after_widget; 
		
		}
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("FBLike");'));


/* == Social Icons ============================== */


class SocialIcons extends WP_Widget {
	
	function SocialIcons() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'SocialIcons', 'description' => __('Add social links to your sidebar','h-framework') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 200);
		 parent::WP_Widget(false,__("Social Icons",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			$instance['fb_link']= strip_tags($new_instance['fb_link']); 
			$instance['google_link']= strip_tags($new_instance['google_link']); 
			$instance['twitter_link']= strip_tags($new_instance['twitter_link']); 
			return $instance;
	}
	function form($instance) {
		 
		
		$fb_link = $instance['fb_link'];
		$google_link = $instance['google_link'];	
		$twitter_link = $instance['twitter_link'];	
		
	    $fb_link = trim($fb_link=="") ? "#" : $fb_link ;
		$google_link = trim($google_link=="") ? "#" : $google_link ;
		$twitter_link = trim($twitter_link=="") ? "#" : $twitter_link ;
		
		?>
        
    
        <p class="hades-custom-media"> 
        <label for="<?php echo $this->get_field_id('fb_link'); ?>"> <?php _e('Facebook Link(if left empty won\'t appear on site)','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('fb_link'); ?>" name="<?php echo $this->get_field_name('fb_link'); ?>" type="text" value="<?php echo $fb_link; ?>" />
		</p>
		
       <p class="hades-custom-media"> 
        <label for="<?php echo $this->get_field_id('google_link'); ?>"> <?php _e('Google+ Link(if left empty won\'t appear on site)','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('google_link'); ?>" name="<?php echo $this->get_field_name('google_link'); ?>" type="text" value="<?php echo $google_link; ?>" />
		</p>
        
         <p class="hades-custom-media"> 
        <label for="<?php echo $this->get_field_id('twitter_link'); ?>"> <?php _e('Twitter Link(if left empty won\'t appear on site)','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('twitter_link'); ?>" name="<?php echo $this->get_field_name('twitter_link'); ?>" type="text" value="<?php echo $twitter_link; ?>" />
		</p>
        
<?php
		
		 }
	function widget($args, $instance) { 
	global $helper;
	
	extract($args); 
	
	$fb_link = $instance['fb_link'];
	$google_link = $instance['google_link'];	
	$twitter_link = $instance['twitter_link'];
	
	
		
	echo $before_widget; ?>

  <ul class="social-links clearfix" >
   		<li class="fb"><a href="<?php echo $fb_link; ?>"><?php _e('Become a fan on facebook','h-framework'); ?></a><span></span></li>
        <li class="google"><a href="<?php echo $google_link; ?>"><?php _e('Recommend us on Google +','h-framework'); ?></a><span></span></li>
        <li class="twitter"><a href="<?php echo $twitter_link; ?>"><?php _e('Follow us on Twitter','h-framework'); ?></a><span></span></li>
   </ul>
					
					
		<?php
			echo $after_widget; 
		
		}
	
	
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("SocialIcons");'));


/* == Suport Post ============================== */


class SuperPost extends WP_Widget {
	
	function SuperPost() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'SuperPost', 'description' => __('Show Popular or Recent posts from Blog, Portfolio , Gallery and your dynamic custom posts.','h-framework') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 200);
		 parent::WP_Widget(false,__("Super Posts",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			$instance['count']= strip_tags($new_instance['count']); 
			$instance['title']= strip_tags($new_instance['title']); 
			$instance['post_type']= strip_tags($new_instance['post_type']); 
			$instance['post_filter']= strip_tags($new_instance['post_filter']); 
			$instance['excerpt']= strip_tags($new_instance['excerpt']); 
			return $instance;
	}
	function form($instance) {
		 
		$count = esc_attr($instance['count']);
		$title = $instance['title'];
		$post_type = $instance['post_type'];	
		$post_filter = $instance['post_filter'];	
		$excerpt = $instance['excerpt'];	
	    $excerpt = trim($excerpt=="") ? 90 : $excerpt ;
		 ?>
        
        <p class="hades-custom"> 
        <label for="<?php echo $this->get_field_id('post_type'); ?>"> <?php _e('Post Type','h-framework'); ?> </label>
		<select name="<?php echo $this->get_field_name('post_type'); ?>" id="<?php echo $this->get_field_id('post_type'); ?>">
		 <?php 
		 $array = array("blog");
		 foreach($array as $val){
		 
		 if($val==$post_type)
		 echo "<option value='$val' selected>$val</option>";
		 else
		 echo "<option value='$val'>$val</option>";
		 
		 }
		 ?>
        </select>
		</p>
        
         <p class="hades-custom"> 
        <label for="<?php echo $this->get_field_id('post_filter'); ?>"> <?php _e('Blog Posts Filter','h-framework'); ?> </label>
		<select name="<?php echo $this->get_field_name('post_filter'); ?>" id="<?php echo $this->get_field_id('post_filter'); ?>">
		 <?php 
		 $array = array("popular","recent","featured");
		 foreach($array as $val){
		 
		 if($val==$post_type)
		 echo "<option value='$val' selected>$val</option>";
		 else
		 echo "<option value='$val'>$val</option>";
		 
		 }
		 ?>
        </select>
		</p>
        
        
        <p class="hades-custom-media"> 
        <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		
        
		<p class="hades-custom-media"> 
        <label for="<?php echo $this->get_field_id('count'); ?>"> <?php _e('Number of posts to display','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo $count; ?>" />
		</p>
        
        <p class="hades-custom-media"> 
        <label for="<?php echo $this->get_field_id('excerpt'); ?>"> <?php _e('Enter excerpt Words Limit','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('excerpt'); ?>" name="<?php echo $this->get_field_name('excerpt'); ?>" type="text" value="<?php echo $excerpt; ?>" />
		</p>
		
           
       
        
        
<?php
		
		 }
	function widget($args, $instance) { 
	global $helper;
	global $more;
	extract($args); 
	$post_type = $instance['post_type'];	
	$post_filter = $instance['post_filter'];
	$excerpt = $instance['excerpt'];	
	$count = esc_attr($instance['count']);
	$title = esc_attr($instance['title']);
		
	echo $before_widget;
	if($title!="")
	echo $before_title." ".$instance['title'].$after_title;
		
		?>

   <ul class="widget-posts clearfix" >
                          
    <?php 
    $popPosts = new WP_Query();
    
	if($post_type=="blog") $post_type = "post"; 
    
    if($post_filter=="popular")
	$filter = "&orderby=comment_count";
	else if($post_filter=="recent")
	$filter = "&orderby=date";
	else if($post_filter=="featured")
	$filter = "&tag=featured";
	
	$popPosts->query('post_type='.$post_type.'&showposts='.$count.'&'.$filter);
	
    while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0; ?>
    
    <li class="clearfix" >
    
     
      <?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */ ?>
      <div class="image">
      <span class="hover-image"></span>
      <?php 
            $id = get_post_thumbnail_id();
            $ar = wp_get_attachment_image_src( $id , array(9999,9999) );
            echo $helper->imageDisplay( $helper->getMUFix($ar[0])  ,  50 , 50 , false , $ar[0] ,  "1"  ); 
      ?>
      </div><!--image-->
      <?php endif; ?>
    
      <div class="description">
          <h5 class="custom-font"><a href="<?php the_permalink(); ?>"><?php $this->shortenContent(50,strip_shortcodes( get_the_title() )); ?></a></h5>
         <p class='clearfix'> <?php $this->shortenContent($excerpt,strip_tags(get_the_content())); ?></p>
         
      </div><!--details-->
    </li>
    
    <?php endwhile; ?>
    
    <?php wp_reset_query(); ?>

    </ul>
					
					
		<?php
			echo $after_widget; 
		
		}
		
	function shortenContent($num,$stitle) {
	
	$limit = $num+1;
	if (!strnatcmp(phpversion(),'5.2.10') >= 0) 
	$title = str_split($stitle);
	else
	$title = $this->str_split_php4_utf8($stitle);
	$length = count($title);
	if ($length>=$num) {
	    $title = array_slice( $title, 0, $num);
	    $title = implode("",$title)."...";
	    echo $title;
	  } else {
	    echo  $stitle;
	  }
	}
	
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("SuperPost");'));


// == Ads 125 x 125px ========================================


class Ads125 extends WP_Widget {
	
	function Ads125() {
		/* Widget settings. */
			$widget_ops = array( 'classname' => 'Ads125', 'description' => __('Create a ad slot with dimension 125 by 125px.','h-framework') );
		/* Widget control settings. */
			$control_ops = array( 'width' => 200, 'height' => 300);
		
			$this->WP_Widget(false,__("Create Ad 125x125",'h-framework'),$widget_ops,$control_ops); }
	
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			$instance['title']= strip_tags($new_instance['title']); 
		
			for($i=1;$i<9;$i++) {
			$instance['image_url'.$i]= strip_tags($new_instance['image_url'.$i]); 
			$instance['url'.$i]= strip_tags($new_instance['url'.$i]); 
			}
			
		
			return $instance;
	}
	function form($instance) {
		 
		$imgurl = array($instance['image_url1'],$instance['image_url2'],$instance['image_url3'],$instance['image_url4'],$instance['image_url5'],$instance['image_url6'],$instance['image_url7'],$instance['image_url8']);
		$url = array($instance['url1'],$instance['url2'],$instance['url3'],$instance['url4'],$instance['url5'],$instance['url6'],$instance['url7'],$instance['url8']);
     
		?>
		<p> 
        <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" />
		</p>
        
		<?php
		for($i=0;$i<8;$i++) {
		?>
        
        
                <p class="hades-custom"> 
                <label for="<?php echo $this->get_field_id('image_url'.($i+1)); ?>"> <?php _e('Ad Image URL '.($i+1),'h-framework'); ?> </label>
                
                	<p class="clearfix">
                		<input class="widget_text" id="<?php echo $this->get_field_id('image_url'.($i+1)); ?>" name="<?php echo $this->get_field_name('image_url'.($i+1)); ?>" type="text" value="<?php echo $imgurl[$i]; ?>" />
               			<a href="#" class="button custom_upload_image_button"> Upload </a>
                	</p>
                </p>
                
                <p> 
                <label for="<?php echo $this->get_field_id('url'.($i+1)); ?>"> <?php _e('Ad Link URL '.($i+1),'h-framework'); ?> </label>
                <input class="widefat" id="<?php echo $this->get_field_id('url'.($i+1)); ?>" name="<?php echo $this->get_field_name('url'.($i+1)); ?>" type="text" value="<?php echo $url[$i]; ?>" />
                </p>
		
       
<?php
		}
		
		 }
	function widget($args, $instance) { 
	
	extract($args); 
	
	$imgurl = array($instance['image_url1'],$instance['image_url2'],$instance['image_url3'],$instance['image_url4'],$instance['image_url5'],$instance['image_url6'],$instance['image_url7'],$instance['image_url8']);
		$url = array($instance['url1'],$instance['url2'],$instance['url3'],$instance['url4'],$instance['url5'],$instance['url6'],$instance['url7'],$instance['url8']);
	    $title = $instance['title'];
		
		echo $before_widget; 
		
		if($title!="")
		echo $before_title." ".$instance['title'].$after_title;
		
		?>
		
        <ul class="ads125 clearfix">
       		<?php for($i=0;$i<8;$i++) { 
			
			 if( $imgurl[$i]!="" && $url[$i]!="" ) {
			?>
                 <li> <a href="<?php echo $url[$i] ?>"><img src="<?php echo $imgurl[$i] ?>" alt="<?php echo $url[$i] ?>" /></a> </li>
           <?php 
		         }
			}
		    ?>
        </ul>
		
		<?php
		 	echo $after_widget; 
		
		}
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("Ads125");'));

/* == Ads 300px ======================= */

class Ads300 extends WP_Widget {
	
	function Ads300() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'Ads300', 'description' => __('Create a ad slot with dimension 300 by 300px.','h-framework') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 200, 'height' => 300 );
		 $this->WP_Widget(false,__("Create Ad 300x250",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			
			$instance['title']= strip_tags($new_instance['title']); 
			$instance['image_url']= strip_tags($new_instance['image_url']); 
			$instance['url']= strip_tags($new_instance['url']); 
			return $instance;
	}
	function form($instance) {
		 
		$imgurl = esc_attr($instance['image_url']);
		$url = $instance['url']; ?>
       
       <p class="hades-custom"> 
        <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" />
		</p>
        
        <p class="hades-custom ">
			 <label for="<?php echo $this->get_field_id('image_url'); ?>"> <?php _e('Ad Image URL','h-framework'); ?> </label>
            <p class="clearfix">
			<input class="widget_text" id="<?php echo $this->get_field_id('image_url'); ?>" name="<?php echo $this->get_field_name('image_url'); ?>" type="text" value="<?php echo $imgurl; ?>"  /> 
            <a href="#" class="button custom_upload_image_button"> Upload </a>
            </p>
		</p>
      
        <p class="hades-custom "> 
        <label for="<?php echo $this->get_field_id('url'); ?>"> <?php _e('Ad Link','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" type="text" value="<?php echo $url; ?>" />
		</p>
<?php
		
		 }
	function widget($args, $instance) { 
	
	extract($args); 
	
	$img = esc_attr($instance['image_url']); 
	$url = $instance['url'];
	 $title = $instance['title'];
		
		echo $before_widget; 
		
		if($title!="")
		echo $before_title." ".$instance['title'].$after_title;
		echo "<a href='$url' class='ads300' ><img src='$img' alt='image' /> </a>"; 
		echo $after_widget; 
		
		}
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("Ads300");'));



/* == Contact Form Widget ======================= */

class ContactForm extends WP_Widget {
	
	function ContactForm() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'ContactForm', 'description' => __( 'Create a quick contact form.','h-framework') );

		/* Widget control settings. */
		$control_ops = array( "width"=>200);
		 parent::WP_Widget(false,__( "Create Quick Contact Form" ,'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			
			$instance['title']= strip_tags($new_instance['title']); 
			$instance['email']= strip_tags($new_instance['email']); 
			$instance['messsage']= strip_tags($new_instance['messsage']); 
			
			return $instance;
	}
	function form($instance) {
		 
		$title = esc_attr($instance['title']);
		$email = esc_attr($instance['email']);
	
		 ?>
        
       
		<p class="hades-custom"> 
        <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		
        <p> 
        <label for="<?php echo $this->get_field_id('email'); ?>"> <?php _e('Email','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo $email; ?>" />
		</p>
  
        
     
<?php
		
		 }
	function widget($args, $instance) { 
	
	extract($args); 
	
	$title = esc_attr($instance['title']); 
	$email = $instance['email'];
	
	
	
	
		echo $before_widget; 
		
			if($title!="")
		echo $before_title." ".$instance['title'].$after_title;
		
		if(isset($_POST['qsubmit']))
	   {	
	    	
			$to = $_POST["email"];
			$msg = "Message from ".$_POST["qname"]." email ".$_POST["qemail"]." . Message : ".$_POST["qmsg"];
			
			wp_mail($to, 'Message', ''.$msg ); 
	   }
		?>
        <div class="dynamic_forms clearfix">
           
          <?php if(isset($_POST['qsubmit']))  echo ' <p class="highlight">message sent !</p>'; ?>
           
          <form action='<?php echo HURL."/helper/form_request.php" ?>' method='post' class="clearfix">
          <div class="loader success-box clearfix">
          <p> Message Sent ! </p>
          </div>
          <span class="ajax-loading-icon"></span>
          
           <p class='clearfix'>
              <input type="text" name="qname" class="qname" value="Enter name" />
              </p>
              <p class='clearfix'>
              <input type="text" name="qemail" class="qemail" value="Enter email" />
             </p>
             <p class='clearfix'>
              <textarea name="qmsg" class="qmsg" rows="" cols="">Message</textarea>
             </p>
              
              <input type='hidden' name='notify_email' value='<?php echo $email; ?>' class='notify_email' />
              <input type="hidden" id="ajax_contact_path" value="<?php echo HURL."/helper/contact_request.php"; ?>" />
              <input type="submit" name="qsubmit" value="Send" class="d_submit" />
          </form>
        </div>
        
        <?php
		
		
		echo $after_widget; 
		
		}
	
	


	}

add_action('widgets_init', create_function('', 'return
register_widget("ContactForm");'));


class Video extends WP_Widget {
	
	function Video() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'Video', 'description' => __('Create a video widget.','h-framework') );

		/* Widget control settings. */
		$control_ops = array(  );
		 parent::WP_Widget(false,__("Video",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			$instance['video_code']= $new_instance['video_code']; 
			$instance['description']= strip_tags($new_instance['description']);
			$instance['title']= strip_tags($new_instance['title']);
			$instance['video_type'] = $new_instance['video_type'];
			$instance['height']= strip_tags($new_instance['height']);
			$instance['width']= strip_tags($new_instance['width']);
			return $instance;
	}
	function form($instance) {
		 
		$code = esc_attr($instance['video_code']);
		$description = esc_attr($instance['description']);
		$title = esc_attr($instance['title']);
		$width = esc_attr($instance['width']);
		$height = esc_attr($instance['height']); 
		$video_type = esc_attr($instance['video_type']);
		
		?>
    
         <p class="hades-custom"> 
        <label for="<?php echo $this->get_field_id('video_type'); ?>"> <?php _e('Video Type','h-framework'); ?> </label>
		<select name="<?php echo $this->get_field_name('video_type'); ?>" id="<?php echo $this->get_field_id('video_type'); ?>">
		 <?php 
		 $array = array("Youtube","Vimeo","Dedicated");
		 foreach($array as $val){
		 
		 if($val==$video_type)
		 echo "<option value='$val' selected>$val</option>";
		 else
		 echo "<option value='$val'>$val</option>";
		 
		 }
		 ?>
        </select>
		</p>
        
        
       	 <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<!-- Embed Code: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'video_code' ); ?>"><?php _e('Video Code (Add url for dedicated and youtube and ID for vimeo) ', 'h-framework') ?></label>
			<textarea style="height:200px;" class="widefat" id="<?php echo $this->get_field_id( 'video_code' ); ?>" name="<?php echo $this->get_field_name( 'video_code' ); ?>"><?php echo  $instance['video_code']; ?></textarea>
		</p>
		
		<!-- Description: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'description' ); ?>"><?php _e('Short Description:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>" value="<?php echo stripslashes( $instance['description'] ); ?>" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'width' ); ?>"><?php _e('Set Width:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'width' ); ?>" name="<?php echo $this->get_field_name( 'width' ); ?>" value="<?php echo stripslashes( $instance['width'] ); ?>" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'height' ); ?>"><?php _e('Set Height:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'height' ); ?>" name="<?php echo $this->get_field_name( 'height' ); ?>" value="<?php echo stripslashes( $instance['height'] ); ?>" />
		</p>
		
<?php
		
		 }
	function widget($args, $instance) { 
	
	extract($args); 
	
	$video_link = $instance['video_code'];
	$description = esc_attr($instance['description']);
	$title = esc_attr($instance['title']);
	$width = esc_attr($instance['width']);
	$height = esc_attr($instance['height']);
	$video_type = esc_attr($instance['video_type']);
	$code ='';
	echo $before_widget;
	
	if($title!="")
	echo $before_title." ".$title .$after_title;
		
	switch($video_type){
							  
						case "Dedicated" : $code = do_shortcode("[video src='{$video_link}' height={$height} width={$width} title='' ]");  break;
						case "Youtube" : 
						$video_link = explode("v=", $video_link);
						$code = do_shortcode("[youtube id='{$video_link[1]}' height='{$height}' width='{$width}' title='' ]");  break;
						case "Vimeo" :  
						$video_link = explode("/", $video_link);
						$code = do_shortcode("[vimeo id='".$video_link[count($video_link)-1]."' height='{$height}' width='{$width}' title='' ]");  break;
						
						
						}
		echo "<div class='video-widget'> $code  <p> $description </p> </div>";
		echo  $after_widget;
		
		}
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("Video");'));



class FeedburnerSubscribe extends WP_Widget {
	
	function FeedburnerSubscribe() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'FeedburnerSubscribe', 'description' => __('Usage: FOOTER ONLY . Create a custom text box with read more link.','h-framework') );

		/* Widget control settings. */
		$control_ops = array(  );
		 parent::WP_Widget(false,__("FeedburnerSubscribe",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
			$instance = $old_instance; 
			$instance['link']= $new_instance['link']; 
			$instance['description']= $new_instance['description'];
			$instance['title']= strip_tags($new_instance['title']);
			
			return $instance;
	}
	function form($instance) {
		 
		$link = esc_attr($instance['link']);
		$description = $instance['description'];
		$title = esc_attr($instance['title']); 
		
		
		
		?>
    
       
       	 <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" type="text" />
		</p>
        
          <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'link' ); ?>"><?php _e('Feedburner ID', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'link' ); ?>" name="<?php echo $this->get_field_name( 'link' ); ?>" value="<?php echo $instance['link']; ?>" type="text" />
		</p>
        
		<p>
			<label for="<?php echo $this->get_field_id( 'description' ); ?>"><?php _e('Text', 'h-framework') ?></label>
			<textarea  class="widefat" style="height:200px;" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>"><?php echo  $instance['description']; ?></textarea>
		</p>
		
		
		
<?php
		
		 }
	function widget($args, $instance) { 
	
	extract($args); 
	
	$link = esc_attr($instance['link']);
		$description = $instance['description'];
		$title = esc_attr($instance['title']); 
		
		echo $before_widget."<div class='feedburner-widget'>";
	if($title!="")
		echo " <h4 class='custom-font'> ".$title."</h4>";
		echo "<p> $description </p>";
		echo "<form class='clearfix' action=\"http://feedburner.google.com/fb/a/mailverify\" method=\"post\" target=\"popupwindow\" onsubmit=\"window.open('http://feedburner.google.com/fb/a/mailverify?uri={$link}', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true\">
		    <input type=\"text\" name=\"email\"/>
		    <input type=\"hidden\" value=\"{$link}\" name=\"uri\"/>
			<input type=\"hidden\" name=\"loc\" value=\"en_US\"/>
			<input type=\"submit\" value=\"Subscribe\" />
			</form>
		";	       
		
		echo  "</div>".$after_widget;
		
		}
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("FeedburnerSubscribe");'));


class TabbedWidget extends WP_Widget {
	
	function TabbedWidget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'TabbedWidget', 'description' => __('A tabbed widget for showing popular, most commented and recent posts.','h-framework') );

		/* Widget control settings. */
		$control_ops = array();
		 parent::WP_Widget(false,__("Tabbed Widget",'h-framework'),$widget_ops,$control_ops); }
	
	function update($new_instance, $old_instance) {
		
		$instance = $old_instance; 
		$instance['title'] =  strip_tags($new_instance['title']);  
		return $instance;
		}
	function form($instance) { 
	$title = $instance['title'];
	?> 
    
    <p class="hades-custom">
     <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
	<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
	</p>  
	
	<?php 
	
	}
	function widget($args, $instance) { 
	extract($args); 
	
	$title = esc_attr($instance['title']);
	
	echo $before_widget; 
		if($title!="")
		echo $before_title." ".$instance['title'].$after_title;
	?>
    
     <div class="tabs">
          <ul>
              <li class="rounded-left"><a href="#tabs-1"><?php _e('Recent','h-framework'); ?></a></li>
              <li><a href="#tabs-2"><?php _e('Popular','h-framework'); ?></a></li>
              <li class="rounded-right"><a href="#tabs-3"><?php _e('Comments','h-framework'); ?></a></li>
          </ul>
         <div id="tabs-1">
           <ul class="posts-sidebar" >
				  <?php 
                  $popPosts = new WP_Query();
                  $popPosts->query('showposts=5');
                  while ($popPosts->have_posts()) : $popPosts->the_post(); ?>
            
                  <li class="clearfix" >
                      <?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */ ?>
                      <div class="image">
                      <span class="hover-image"></span>
                          <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(array(50,999)); ?></a>
                      </div><!--image-->
                      <?php endif; ?>
                      
                      <div class="description">
                          <h3><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h3>
                          <?php 
						  	echo " <span>".get_the_time("j F, Y")." ";
				  	comments_number( 'No Comments', '1 Comment', '% Comments' );
				  	echo "</span>";
					?>
                         
                      </div><!--details-->
                  </li>
            
            <?php endwhile; 
			 wp_reset_query(); ?>

            </ul>
    </div>  
       <div id="tabs-2">
              <ul class="posts-sidebar" >
				  <?php 
                  $popPosts = new WP_Query();
                  $popPosts->query('showposts=5&orderby=comment_count');
                  while ($popPosts->have_posts()) : $popPosts->the_post(); ?>
                  
                  <li class="clearfix" >
                      <?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */ ?>
                      <div class="image"> <span class="hover-image"></span>
                          <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(array(50,999)); ?></a>
                      </div><!--image-->
                      <?php endif; ?>
                      
                      <div class="description">
                          <h3><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h3>
                         <?php 
						  	echo " <span>".get_the_time("j F, Y");
				  	comments_number( 'No Comments', '1 Comment', '% Comments' );
				  	echo "</span>";
					?>
                      </div><!--details-->
                  </li>
            
            <?php endwhile;
			wp_reset_query(); ?>
    
        </ul>
      </div>
     
    <div id="tabs-3">
              <ul class="posts-sidebar" >
				<?php
global $wpdb;
$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type,comment_author_url, SUBSTRING(comment_content,1,30) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' ORDER BY comment_date_gmt DESC LIMIT 7";
$comments = $wpdb->get_results($sql);
$output = '';

foreach ($comments as $comment) {
$output .= "<li><a href=\"" . get_permalink($comment->ID)."#comment-" . $comment->comment_ID . "\" title=\"on ".$comment->post_title . "\">" . strip_tags($comment->com_excerpt)."</a></li>";
}
echo $output;
?>
            </ul>
       </div>
 </div>
 

    
    <?php
	echo $after_widget; 
		
		}
	function short_title($num,$stitle) {

$limit = $num+1;
$title = str_split($stitle);
$length = count($title);
if ($length>=$num) {
$title = array_slice( $title, 0, $num);
$title = implode("",$title)."...";
_e( $title ,'h-framework');
} else {
_e( $stitle ,'h-framework');
}

}
	
	}

add_action('widgets_init', create_function('', 'return
register_widget("TabbedWidget");'));

?>